Package commoble.morered.client.emi

# Class EmiProxy

java.lang.Object
commoble.morered.client.emi.EmiProxy

All Implemented Interfaces:
  `dev.emi.emi.api.EmiPlugin`

public class EmiProxy extends Object implements dev.emi.emi.api.EmiPlugin

## Field Summary

Fields
Modifier and Type
Field
Description
`static final dev.emi.emi.api.recipe.EmiRecipeCategory`
`SOLDERING_CATEGORY`
`static final dev.emi.emi.api.stack.EmiStack`
`SOLDERING_ICON`

## Constructor Summary

Constructors
Constructor
Description
`EmiProxy()`

## Method Summary

Modifier and Type
Method
Description
`void`
`register(dev.emi.emi.api.EmiRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface dev.emi.emi.api.EmiPlugin

`initialize`

## Field Details

### SOLDERING_ICON

public static final dev.emi.emi.api.stack.EmiStack SOLDERING_ICON

### SOLDERING_CATEGORY

public static final dev.emi.emi.api.recipe.EmiRecipeCategory SOLDERING_CATEGORY

## Constructor Details

### EmiProxy

public EmiProxy()

## Method Details

### register

public void register(dev.emi.emi.api.EmiRegistry registry)

Specified by:
  `register` in interface `dev.emi.emi.api.EmiPlugin`